<?php 
function ajbld_ta_filter_justified_temp($use_filter = '', $blog_layout_showcase_cats = '', $blog_layout_select_display_post = '') {
	if($use_filter == 'yes') { ?>
	<div class="filter-wraper">
		<div id="mobile-filter-id" class="mobile-filter container clearfix">
			<button id="filter-icon">
				<span class="bar bar-1"></span>
				<span class="bar bar-2"></span>
				<span class="bar bar-3"></span>
				<span class="bar bar-4"></span>
			</button>
		</div>
		<?php 
		if ($blog_layout_select_display_post == 'category' || $blog_layout_select_display_post == 'specific_post') {
			$blog_ids = array();
			foreach ($blog_layout_showcase_cats as $cat_id) {
				$blog_ids[] = get_term_by('slug', $cat_id, 'category')->term_id;
			}
		}

		echo '<ul id="portfolio-filter" class="filters container style-1 clearfix">';
		echo '<li class="activeFilter" data-filter="*"><button data-filter="*" type="button" class="filter-btn">All</button></li>';
		if ($blog_layout_select_display_post == 'category' || $blog_layout_select_display_post == 'specific_post') {
			$args = array( 
				'taxonomy' => 'category',
				'include' => $blog_ids
	        );
		} else {
			$args = array( 
				'taxonomy' => 'category'
	        );
		}
		$cat_lists = get_categories( $args );

		foreach ( $cat_lists as $cat_list ) {
			$category_name = $cat_list->name;
			$category_slug = $cat_list->slug;
			echo '<li><button data-filter=".'. sanitize_text_field( $category_slug ) .'" type="button" class="filter-btn">' . sanitize_text_field( $category_name ) . '</button></li>';
		}

		echo '</ul>'; ?>
	</div>
	<?php }
}

function ajbld_ta_filter_justified_load_more($blog_layout_pagination_type = '', $portfolio_text_load_more = '', $ta_portfo = '') {
	if($blog_layout_pagination_type == 'pagination_load_more') {
	    if (!empty($portfolio_text_load_more)) {
	        $portfolio_text_load_more = esc_html($portfolio_text_load_more);
	    } else {
	        $portfolio_text_load_more = esc_html__('Load More', 'advanced-justified-portfolio-builder');
	    } ?>
		<div class="container clearfix">
			<div class="navigation-paging infinite-wrap clearfix">
				<div id="load-more-loop-grid-1" class="infinite-button">
					<?php next_posts_link( '', $ta_portfo->max_num_pages ); ?>
				</div>
				<button id="load-infinite-loop-grid11" class="btn"><?php echo $portfolio_text_load_more; ?></button>
			</div>
		</div>
	<?php } ?>

	<?php if($blog_layout_pagination_type == 'pagination_infinite') { ?>
		<div class="display-none">
			<div id="load-more-loop-grid-1" class="infinite-button">
				<?php next_posts_link( '', $ta_portfo->max_num_pages ); ?>
			</div>
			<button id="load-infinite-loop-grid11" class="btn"><?php echo $portfolio_text_load_more; ?></button>
		</div>
	<?php }
}

function ajbld_ta_filter_justified_script($showcase_id = '', $use_filter = '', $blog_layout_pagination_type = '') {
$loader_img = plugin_dir_url('README.txt') . BLOG_LAYOUT_DESIGN_NAME . '/public/img/loader.gif'; ?>
	<script>
	(function($) {

		'use strict';

		$(document).ready(function(){

			<?php if($blog_layout_pagination_type == 'pagination_load_more') { ?>
			var $container = $('.blog-post-<?php echo esc_attr($showcase_id); ?> .justify');
			var link = $('.blog-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1 a').attr('href');
			var maxPage = $('.blog-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1').attr('data-page');
			var page = 1;
			$('#load-infinite-loop-grid11').click(function () {
				page++;
				if(maxPage >= page) {
				    $.ajax({
					    type: "GET",
					    url: './page/' + page,
					    cache: false,
					    dataType: 'html',
					    success: function(data){
					        var result = $('<div />').append(data).find('.justify').html();
					        $container.append(result);
					        imagesLoaded($container, function() {

					        	$container.justifiedGallery('norewind');

								var wrapper3 = $( ".blog-post-<?php echo esc_attr($showcase_id); ?>.blog-justified-dua");
								if(wrapper3[0]) {
									$( ".blog-post-<?php echo esc_attr($showcase_id); ?>.blog-justified-dua .justify-item" ).each(function() {
									  	var heightElement2 = $( this ).find('.blog__content').innerHeight();

									  	$( this ).find('.item-wrap-inner').hover(
										  	function() {
										    	$( this ).find('img').css('transform', 'translateY(-' + heightElement2 +'px)');
										  	}, function() {
										    	$( this ).find('img').css("transform", ''); //to remove property set it to ''
										  	}
										);
									});
								}

								if ($('.lightbox-parent').length) {

						        	$(".lightbox-parent").data('lightGallery').destroy(true);

							        $('.lightbox-parent').lightGallery({
							            thumbnail: false,
							            download: false,
							            selector: '.lightbox-image'
							        });
							        
							    }

					        });

					        $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify-item").css("position", "absolute");

					    },
				    	error: function() { },
				    	complete: function() { }
					});
				} else {
				}
			});
			<?php } ?>

			$('.blog-post-<?php echo esc_attr($showcase_id); ?> #mobile-filter-id').click(function () {
				$('.blog-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter').toggleClass('show');
			});

			<?php if($use_filter == 'yes') { ?>
			$('.blog-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter button').click(function(event){
	            $('.blog-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter li').removeClass('activeFilter');
	            $(this).parent('li').addClass('activeFilter');
	            var selector = $(this).attr('data-filter');
	            $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery({ filter: selector });
	            $(".blog-post-<?php echo esc_attr($showcase_id); ?> .justify").justifiedGallery('norewind');
			});
			<?php } ?>
		});

	})( jQuery );
	</script>
<?php }